Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Formatters/SymbolicDataAnalysisExpressionLatexFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Formatters/SymbolicDataAnalysisExpressionLatexFormatter.cs	(revision 5817)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Formatters/SymbolicDataAnalysisExpressionLatexFormatter.cs	(revision 6803)
@@ -73,5 +73,5 @@
       FormatBegin(node, strBuilder);
 
-      if (node.SubtreesCount > 0) {
+      if (node.SubtreeCount > 0) {
         strBuilder.Append(FormatRecursively(node.GetSubtree(0)));
       }
@@ -91,5 +91,5 @@
         strBuilder.Append(@" \left( ");
       } else if (node.Symbol is Subtraction) {
-        if (node.SubtreesCount == 1) {
+        if (node.SubtreeCount == 1) {
           strBuilder.Append(@"- \left(");
         } else {
@@ -98,5 +98,5 @@
       } else if (node.Symbol is Multiplication) {
       } else if (node.Symbol is Division) {
-        if (node.SubtreesCount == 1) {
+        if (node.SubtreeCount == 1) {
           strBuilder.Append(@" \cfrac{1}{");
         } else {
@@ -105,6 +105,6 @@
       } else if (node.Symbol is Average) {
         // skip output of (1/1) if only one subtree
-        if (node.SubtreesCount > 1) {
-          strBuilder.Append(@" \cfrac{1}{" + node.SubtreesCount + @"}");
+        if (node.SubtreeCount > 1) {
+          strBuilder.Append(@" \cfrac{1}{" + node.SubtreeCount + @"}");
         }
         strBuilder.Append(@" \left(");
@@ -246,7 +246,7 @@
       } else if (node.Symbol is Division) {
         strBuilder.Append("} ");
-        if (node.SubtreesCount > 1)
+        if (node.SubtreeCount > 1)
           strBuilder.Append("{1} ");
-        for (int i = 1; i < node.SubtreesCount; i++) {
+        for (int i = 1; i < node.SubtreeCount; i++) {
           strBuilder.Append(" } ");
         }
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Formatters/SymbolicDataAnalysisExpressionMATLABFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Formatters/SymbolicDataAnalysisExpressionMATLABFormatter.cs	(revision 5817)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Formatters/SymbolicDataAnalysisExpressionMATLABFormatter.cs	(revision 6803)
@@ -106,5 +106,5 @@
 
       if (symbol is Addition) {
-        for (int i = 0; i < node.SubtreesCount; i++) {
+        for (int i = 0; i < node.SubtreeCount; i++) {
           if (i > 0) stringBuilder.Append("+");
           stringBuilder.Append(FormatRecursively(node.GetSubtree(i)));
@@ -112,5 +112,5 @@
       } else if (symbol is And) {
         stringBuilder.Append("((");
-        for (int i = 0; i < node.SubtreesCount; i++) {
+        for (int i = 0; i < node.SubtreeCount; i++) {
           if (i > 0) stringBuilder.Append("&");
           stringBuilder.Append("((");
@@ -121,7 +121,7 @@
       } else if (symbol is Average) {
         stringBuilder.Append("(1/");
-        stringBuilder.Append(node.SubtreesCount);
+        stringBuilder.Append(node.SubtreeCount);
         stringBuilder.Append(")*(");
-        for (int i = 0; i < node.SubtreesCount; i++) {
+        for (int i = 0; i < node.SubtreeCount; i++) {
           if (i > 0) stringBuilder.Append("+");
           stringBuilder.Append("(");
@@ -138,5 +138,5 @@
         stringBuilder.Append(")");
       } else if (symbol is Division) {
-        if (node.SubtreesCount == 1) {
+        if (node.SubtreeCount == 1) {
           stringBuilder.Append("1/");
           stringBuilder.Append(FormatRecursively(node.GetSubtree(0)));
@@ -144,5 +144,5 @@
           stringBuilder.Append(FormatRecursively(node.GetSubtree(0)));
           stringBuilder.Append("/(");
-          for (int i = 1; i < node.SubtreesCount; i++) {
+          for (int i = 1; i < node.SubtreeCount; i++) {
             if (i > 1) stringBuilder.Append("*");
             stringBuilder.Append(FormatRecursively(node.GetSubtree(i)));
@@ -187,5 +187,5 @@
         stringBuilder.Append(")");
       } else if (symbol is Multiplication) {
-        for (int i = 0; i < node.SubtreesCount; i++) {
+        for (int i = 0; i < node.SubtreeCount; i++) {
           if (i > 0) stringBuilder.Append("*");
           stringBuilder.Append(FormatRecursively(node.GetSubtree(i)));
@@ -197,5 +197,5 @@
       } else if (symbol is Or) {
         stringBuilder.Append("((");
-        for (int i = 0; i < node.SubtreesCount; i++) {
+        for (int i = 0; i < node.SubtreeCount; i++) {
           if (i > 0) stringBuilder.Append("|");
           stringBuilder.Append("((");
@@ -209,10 +209,10 @@
         stringBuilder.Append(")");
       } else if (symbol is Subtraction) {
-        if (node.SubtreesCount == 1) {
+        if (node.SubtreeCount == 1) {
           stringBuilder.Append("-1*");
           stringBuilder.Append(FormatRecursively(node.GetSubtree(0)));
         } else {
           stringBuilder.Append(FormatRecursively(node.GetSubtree(0)));
-          for (int i = 1; i < node.SubtreesCount; i++) {
+          for (int i = 1; i < node.SubtreeCount; i++) {
             stringBuilder.Append("-");
             stringBuilder.Append(FormatRecursively(node.GetSubtree(i)));
